[project]
name = "songyi"
version = "0.1.0"
description = "Add your description here"
requires-python = ">=3.12"
dependencies = [
    "colorlog>=6.9.0",
    "fastapi>=0.111.1",
    "funasr>=1.1.3",
    "gradio",
    "gradio-client~=1.8.0",
    "huggingface",
    "huggingface-hub",
    "modelscope",
    "moviepy>=2.1.2",
    "numpy<=1.26.4",
    "psycopg2-binary~=2.9.10",
    "pydub~=0.25.1",
    "pymongo>=4.12.0",
    "requests~=2.32.3",
    "torch<=2.3",
    "torchaudio",
]
